# http://fedoraproject.org/wiki/Packaging/Debuginfo#Useless_or_incomplete_debuginfo_packages_due_to_other_reasons
%global debug_package %{nil}

Name:       gbrainy
Version:    2.06
Release:    1%{?dist}
Summary:    A brain teaser game and trainer to keep your brain trained

Group:      Amusements/Games
License:    GPLv2
URL:        http://live.gnome.org/gbrainy
Source0:    http://gent.softcatala.org/jmas/%{name}/%{name}-%{version}.tar.gz
# To fix 460353 :
Patch0:     fix-location.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk-sharp2-devel mono-addins-devel gnome-sharp-devel
BuildRequires:  librsvg2-devel gnome-doc-utils
BuildRequires:  intltool 

# JIT (mono) only availible on these:
ExclusiveArch: %ix86 x86_64 ia64 %{arm} sparcv9 alpha s390x ppc ppc64

%description
gbrainy is a brain teaser game and trainer to have
fun and to keep your brain trained.

It provides the following types of games:

* Logic puzzles. Games designed to challenge your
    reasoning and thinking skills.
* Mental calculation. Games based on arithmetical
    operations designed to prove your mental calculation skills.
* Memory trainers. Games designed to challenge your short term memory.

%package devel
Summary:      Files needed for developing with gbrainy
Group:        Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package provides the necessary development libraries and headers
for writing gbrainy applications.

%prep
%setup -q
%patch0 -p1
sed -i -e 's!{exec_prefix}/lib!%{_libdir}!' data/gbrainy.pc.in
echo "sed done $PWD"

%build

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install                                \
    --delete-original                               \
    --vendor fedora                                 \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# To fix a rpmlint issue
chmod a-x $RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}.exe.config

%find_lang %{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
if [ $1 -eq 0 ] ;then 
    touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:
    if [ -x  %{_bindir}/gtk-update-icon-cache ] ; then
        %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
    fi
fi

%posttrans
if [ -x  %{_bindir}/gtk-update-icon-cache ] ; then
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README COPYING MAINTAINERS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/pixmaps/%{name}*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gbrainy.pc

%changelog
* Mon Nov 14 2011 Benoît Marcelin <sereinity@online.fr> 2.06-1
- Update to 2.06
- Remove Ubuntu cleaner patch (now clean from upstream)

* Mon Jul 25 2011 Benoît Marcelin <sereinity@online.fr> 2.00-1
- Update to 2.00

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.52-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.52-3.1
- Add BR libtool

* Thu Oct 28 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.52-3
- Change gnome-common to gnome-doc-utils

* Thu Oct 28 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.52-2
- Add BR gnome-common

* Wed Oct 27 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.52-1
- Bump to 1.52
- Add devel subpackage
- Rebuild against mono-2.8

* Mon Jun 07 2010 Christian Krause <chkr@fedoraproject.org> - 1.1-7
- Rebuilt against new mono-addins

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 1.1-6
- Exclude sparc64

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1-5
- Build with ppc64 again due to obsolecense of previous update.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 01 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1-4
- Build arch ppc64.

* Tue Apr 14 2009 Benoît Marcelin <sereinity@online.fr> 1.1-3
- Re-enable ppc

* Thu Apr 09 2009 Benoît Marcelin <sereinity@online.fr> 1.1-2
- Fix buildrequires

* Wed Apr 08 2009 Benoît Marcelin <sereinity@online.fr> 1.1-1
- Update to 1.1
- Update ExclusiveArch according to mono

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 22 2008 Benoît Marcelin <sereinity@online.fr> 1.00-3
- Fix Summary

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.00-2
- rebuild for new gnome-sharp

* Thu Sep 25 2008 Benoît Marcelin <sereinity@online.fr> 1.00-1
- Clean Build Requires
- Fix bug 460353
- Upate to 1.00
- 1 new logic puzzle, 1 new memory puzzle
- Better look and feel (new background)
- Switch font drawing to Pango
- Better I18N support
- Bug fixes 

* Tue Jun 03 2008 Benoît Marcelin <sereinity@online.fr> 0.70-1
- Update to 0.70
- 8 new puzzles
- License included in the about box
- The drawing area is now square and the application resizes better
- Better score feedback
- Player's history
- Preferences persistence
- Better game selection
- Bug fixes

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-5
- Do if on more than one line (in %%post and %%postun)
- Change ExcludeArch to AxclusiveArch
- Change licence to GPLv2+
- add directory owner %%{_libdir}/%%{name}

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-4
- Update %%post ans %%postun section

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-3
- Add BuildRequires : desktop-file-utils

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-2
- Exclude arch ppc64
- Remove --add-category X-Fedora from the desktop file
- Don't generate empty debuginfo
- Add docfile MAINTAINERS

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-1
- Update to 0.61
- add gtk-update-icon-cache into post and unpost section

* Sun Mar 09 2008 Benoît Marcelin <sereinity@online.fr> 0.60-1
- Initial Fedora build
